import bpy
from mathutils import Vector
C = bpy.context

objs = C.selected_objects
# make sure the Topography has applied (Ctrl+A) all of its object properties
terr = bpy.data.objects["Topography"]

#curves = [c for c in bpy.data.objects if c.type == "CURVE"]
curves = bpy.context.selected_objects

for c in curves:
    c.data.dimensions = "3D"
    cmat = c.matrix_world
    zrange = Vector((0,0,1000))
    for spline in c.data.splines:
        for bp in spline.bezier_points:
            for p in [bp.co, bp.handle_left, bp.handle_right]:
                pco = cmat * p
                start = pco - zrange
                end = pco + zrange
                hit_loc, hit_normal, hit_face = terr.ray_cast(start,end)
                if hit_loc != Vector((0,0,0)):
                    p = hit_loc
           