import bpy, bmesh, random
from mathutils import Vector

for o in bpy.data.objects:
    if o.name == "Topography": continue
    bm = bmesh.new()
    bm.from_mesh(o.data)
    gm = bmesh.ops.extrude_face_region(bm, geom=bm.faces)
    vs = gm['geom'][-1].verts
    # m = max(e.calc_length() for e in bm.faces[0].edges)
    m = min(e.calc_length() for e in bm.faces[0].edges)
    lower = min(10,m)
    upper = random.random()*20
    bmesh.ops.translate(bm, vec=Vector((0,0,lower+upper)), verts=vs)
    bm.to_mesh(o.data)