import bpy
from mathutils import Vector
C = bpy.context

objs = C.selected_objects
# make sure the Topography has applied (Ctrl+A) all of its object properties
terr = bpy.data.objects["Topography"]

for o in bpy.data.objects:
    if o.name == "Topography": continue
    omat = o.matrix_world
    vmins = []
    for v in o.data.vertices:
        zrange = Vector((0,0,8000))
        vcon = omat * v.co
        start = vcon - zrange
        end = vcon + zrange
        hit_loc, hit_normal, hit_face = terr.ray_cast(start,end)
        if hit_loc != Vector((0,0,0)):
            vmins.append(hit_loc[2])
    vmin = min(vmins)
    o.location[2] = vmin
    print(vmin)