import bpy

filename = "/Users/treyerl/Downloads/DHM25_200m200710/DHM200.asc"
infile = open(filename, 'r')

for i in range(6):
    line = infile.readline()
    if len(line) == 0: break
    if line.startswith("NCOLS"):
        NCOLS = int(line.replace("NCOLS ",""))
        continue
    if line.startswith("NROWS"):
        NROWS = int(line.replace("NROWS ",""))
        continue
    if line.startswith("CELLSIZE"):
        CELLSIZE = float(line.replace("CELLSIZE ",""))
        continue
    if line.startswith("XLLCORNER"):
        XLLCORNER = float(line.replace("XLLCORNER ",""))
        continue
    if line.startswith("YLLCORNER"):
        YLLCORNER = float(line.replace("YLLCORNER ",""))
        continue
    
verts = []
j = -1
ol = []
faces = []
newzeds = []    
for j in range(NROWS):
    zeds = []
    l = []
    number = ""
    while len(zeds) < NCOLS:
        t = infile.read(1)
        #print(t)
        if t == " " or t == "\n":
            if len(number) > 0:
                zeds.append(float(number))
                number = ""
            else:
                continue
        else:
            number += t
    
    for i in range(NCOLS):
        verts.append((CELLSIZE*j, CELLSIZE*i, float(zeds[i])))
        l.append(j*len(ol)+i)
    
    if len(ol) > 0:
        i = 1
        faces.append([int(ol[0]), int(ol[1]), int(l[1]), int(l[0])])
        while i<len(l)-1:
            faces.append([int(ol[i]), int(ol[i+1]), int(l[i+1]), int(l[i])])
            i += 1
    ol = l #oldline = line

    


mesh = bpy.data.meshes.new("ESRI ASCII GRID")  
mesh.from_pydata(verts, [], faces)  
mesh.update()  
  
object = bpy.data.objects.new("Topography", mesh)  
object.data = mesh  
  
scene = bpy.context.scene  
scene.objects.link(object)  
object.select = True  
