import bpy, bmesh, json
from pyproj import Proj, transform

filepath = "/Users/treyerl/Desktop/fresh_zh_osm_buildings.json"

pWorld = Proj(init='epsg:4326') # WGS84  = "World Coordinate System Lat/Lon"
pMercator = Proj(init='epsg:3857') 
pCH = Proj(init='epsg:21781')   # CH1903

osm = open(filepath,'r')
josm = json.load(osm)

elements = josm.get("elements")
nodelist = [n for n in elements if n.get("type") == "node"]
ways = [w for w in elements if w.get("type") == "way"]

nodes = {}
for n in nodelist:
    nodes[n.get("id")] = n

i = 0
for way in ways:
    i += 1
    if i > 1000: break
    bm = bmesh.new()
    l = []
    for i,n in enumerate(way.get("nodes")):
        if i == 0: continue
        node = nodes[n]
        ch = transform(pWorld, pCH, float(node.get("lon")), float(node.get("lat")), 0)
        l.append(bm.verts.new(ch))
    
    bm.faces.new(l)
    
    name = str(way.get("id"))
    m = bpy.data.meshes.new(name)
    bm.to_mesh(m)
    
    o = bpy.data.objects.new(name,m)
    bpy.context.scene.objects.link(o)